[FFmpeg-devel] [PATCH] Proposed fix for GCC 2 compatibility on PPC/Altivec

Guillaume Poirier gpoirier
Wed Jun 13 09:59:27 CEST 2007


Luca Barbato wrote:
> Guillaume POIRIER wrote:
>> Hello,
>> Attached patch, based on a modified patch sent by Sigbj?rn Skj?ret,
>> works around a GCC2 bug that prevents alignment attribute from working
>> when a function is inlined.
> Point me a gcc-2 that supports altivec.

Exactly what I was thinking of. The earliest version of OSX that
MPlayer has a chance to run on (10.1.x) was shipped with GCC-3.1.x to
the best of my knowledge; so on that OS, no need to bother with GCC-2.

Though I don't forget that free Unix derivatives (Linux, *BSD) are
supported as well, these platforms have the "advantage" that they ship
FSF's GCC, so it's easy to install another compiler; we can therefore
request the people who build MPlayer to build their own version of GCC
if it's too old.


More information about the ffmpeg-devel mailing list